<template>
  <div id="aboutMe">
    <about-detail :info="site" :menuList="menu" :backColor="backColor" :Color="Color" :aboutInfo="aboutInfo"></about-detail>
  </div>
</template>

<script>
import aboutDetail from '@/components/aboutInfo.vue';
import { mapActions, mapState } from 'vuex';
import _ from 'lodash';
export default {
  metaInfo() {
    return {
      title: this.siteTitle ? this.siteTitle : '吉林省高等学校毕业生就业信息网',
    };
  },
  name: 'aboutMe',
  props: {},
  components: {
    aboutDetail,
  },
  data: () => ({
    info: {
      title: '吉林省高等学校毕业生就业信息网',
      english: 'Jilin University Graduate Employment Guidance Center',
      banner: require('@/assets/banner.jpg'),
      logo: require('@/assets/logo.png'),
      copyright: '吉ICP备09006292号-1 Copyright 2019 版权所有 吉林省高等学校毕业生就业指导中心 All Rights Reserved',
    },
    site: {}, //站点信息
    siteTitle: '吉林省高等学校毕业生就业信息网', //站点标题
    menu: [], //菜单
    modules: [], //模块
    backColor: '#0457c7',
    Color: '#0457c7',
    aboutInfo: {
      content1:
        '吉林省高等学校毕业生就业指导中心（以下简称中心）于1992年经吉林省机构编制委员会批准成立，是隶属吉林省教育厅的事业单位，是我省从事高校毕业生就业指导服务的专门机构。在省教育厅的正确领导、亲切关怀和大力支持下，经中心班子精心谋划并带领员工艰苦创业，开拓进取，不懈努力，中心的办公、培训、服务等设施条件在全国处于领先水平，已发展成集就业指导、洽谈、培训等多功能为一体的综合性服务机构。',
      content2:
        '中心位于长春市经济技术开发区金川街151号，占地面积10900多平方米，建筑面积26000多平方米。现有毕业生就业洽谈大厅两个，报告厅一个，接待厅一个、一站式办公大厅一个、多媒体网络教室两个，各种大、中、小型教室、会议室、洽谈室十四个。中心内设五部一室，即市场开发部、培训部、信息管理部、综合业务部、学历认证部和办公室。',
      content3:
        '中心的主要工作职责是，宣传贯彻国家及省有关毕业生就业的各项方针政策和法规；进行高校毕业生政策理论研究；培育开发高校毕业生就业市场，完善毕业生就业市场服务体系；合理开发使用高校毕业生资源；组织开展高校毕业生就业指导师资培训及相关赛事；组织编写就业创业指导教材等；开展全国计算机应用证书（NIT）考试业务；为高校、毕业生和用人单位提供优质、高效、便捷的就业服务。',
      content4: '窗口服务项目',
      content5: ' 1、毕业生就业手续办理：负责省内高校毕业生就业报到证的签发、补办、调整，接待省外毕业生报到。',
      content6:
        '  2、毕业生就业代理：负责毕业生档案的接转、保管、查询以及出具与档案有关的证明材料；负责为参加就业代理的高校毕业生办理落户手续及为流动党员办理组织关系接收转出手续，为预备流动党员办理转正等。',
      content7:
        ' 3、业务咨询及就业信息登记：负责解答国家和省有关高校毕业生就业方面的政策、法规及相关问题；负责毕业生求职登记、推荐、就业指导、人才测评和用人单位需求信息登记。',
      content8:
        ' 4、学历证书查询：经教育部全国高等学校学生信息咨询与就业指导中心授权，对普通高校毕业证书、成人高校毕业证书以及自考学历证书进行学历查询和认证，并出具学历认证报告。',
      content9:
        ' 中心成立二十几年来，为全省近200万名高校毕业生办理了就业手续；举办各种大型毕业生洽谈会近百场，对全省60所高校就业指导人员和教师进行36期集中系统培训，参培人员达2700余人次；为高校5万名“双困生”开展了就业能力提升培训；自2006年开始，在全省30余所高校组织开展NIT考试8万余人次。' +
        '目前，在中心就业代理的高校毕业生累计达到168471人，为45239名参加就业代理的高校毕业生办理了落户手续，接转毕业生党组织关系16702份，为4000余名流动预备党员办理了转正手续，对8000余份学历进行了查询、认证。',
      content10:
        '“天时人事日相催，冬至阳生春又来”，中心将秉承“热情、公正、廉洁、高效”的宗旨，竭诚为广大高校毕业生提供更全面、快捷的就业服务，不断开创毕业生就业工作新局面。',
    },
  }),
  async created() {
    await this.toGetSite(); //获取主站信息
    this.loadMenu(); //获取菜单信息
  },
  computed: {},
  methods: {
    ...mapActions(['getSite', `getMenu`, 'getColumn', 'getAllNews', 'getAllColumn', 'getModule', 'getNews', 'getJobInfo', 'getPosts', 'getLink']),
    //站点信息
    async toGetSite() {
      let site = sessionStorage.getItem('site');
      if (site) {
        this.$set(this, `site`, JSON.parse(site));
        this.$set(this, `siteTitle`, this.site.name);
      } else {
        let result = await this.getSite({ type: 'search' });
        if (result.errcode === 0) {
          sessionStorage.setItem('site', JSON.stringify(result.data));
          if (_.get(result.data, `custom`)) {
            let item = result.custom;
          }
          this.$set(this, `site`, result.data);
          this.$set(this, `siteTitle`, this.site.name);
        }
      }
    },
    //菜单
    async loadMenu() {
      let menu = sessionStorage.getItem('menu');
      if (menu) {
        this.$set(this, `menu`, JSON.parse(menu));
        this.finishedMenu();
        return;
      } else this.toGetMenu();
    },
    async toGetMenu() {
      let result = await this.getMenu({ type: `list` });
      if (result.errcode === 0) {
        // sessionStorage.setItem('menu', JSON.stringify(result.data));
        this.$set(this, `menu`, result.data);
        this.finishedMenu();
      }
    },
    async finishedMenu() {
      let menus = JSON.parse(JSON.stringify(this.menu));
      for (const item of menus) {
        if (item.type === 'content') {
          item.path = `/detail?id=${item.content_id}`;
        } else if (item.type !== 'url') {
          let res = await this.completeMenu(item);
          item.children = res;
        }
      }
      this.$set(this, `menu`, menus);
    },
    async completeMenu(item) {
      let result = await this.getColumn({
        type: `list`,
        data: { parent_id: item.id },
      });
      if (result.errcode === 0) {
        let columns = result.data;
        for (const col of columns) {
          if (col.type === 'content') {
            col.path = `/detail/${col.content_id}`;
          } else if (col.type !== 'url') {
            col.path = `/newsList/menu/${col.id}?title=${col.title}`;
            if (col.parent.includes('党员')) {
              col.path = `/memberList/menu/${col.id}?title=${col.title}`;
            }
          }
        }
        return columns;
      }
    },
  },
};
</script>

<style lang="less" scoped></style>
